﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_use_dictionary
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The dictionary.
        private Dictionary<string, string> Words = new Dictionary<string, string>();

        // Add a value to the dictionary.
        private void btnAdd_Click(object sender, EventArgs e)
        {
            if (Words.ContainsKey(txtKey.Text))
            {
                MessageBox.Show("The dictionary already contains this key.");
            }
            else
            {
                Words.Add(txtKey.Text, txtValue.Text);
                txtKey.Clear();
                txtValue.Clear();
                txtKey.Focus();
                ListValues();
            }
        }

        // Look up a value.
        private void btnFind_Click(object sender, EventArgs e)
        {
            if (!Words.ContainsKey(txtKey.Text))
            {
                txtValue.Text = "<not found>";
            }
            else
            {
                txtValue.Text = Words[txtKey.Text];
            }
        }

        // Remove an item from the dictionary.
        private void btnDelete_Click(object sender, EventArgs e)
        {
            if (!Words.ContainsKey(txtKey.Text))
            {
                MessageBox.Show("Item not found");
            }
            else
            {
                Words.Remove(txtKey.Text);
                ListValues();
            }
        }

        // List the dictionary's current values.
        private void ListValues()
        {
            lstValues.Items.Clear();
            foreach (string key in Words.Keys)
            {
                lstValues.Items.Add(key + ": " + Words[key]);
            }
        }
    }
}
